Bug 14898 - Add 'Save and pay' button to use after adding a manual invoice
Summary: Add 'Save and pay' button to use after adding a manual invoice
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-25 11:59 UTC by Josef Moravec
Modified: 2020-03-13 00:47 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 14898: After adding manual invoice redirect to pay tab instead of account (910 bytes, patch)
2015-09-25 12:04 UTC, Josef Moravec
Details | Diff | Splinter Review
[Signed-off] Bug 14898: After adding manual invoice redirect to pay tab instead of account (1.24 KB, patch)
2015-09-27 18:33 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14898: Add button at manual invoice to redirect to pay tab (2.37 KB, patch)
2020-02-05 14:10 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 14898: Add button at manual invoice to redirect to pay tab (2.43 KB, patch)
2020-02-08 06:37 UTC, David Nind
Details | Diff | Splinter Review
Bug 14898: Add button at manual invoice to redirect to pay tab (2.49 KB, patch)
2020-02-20 06:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2015-09-25 11:59:06 UTC
It's annoying to add a manual invoice and have to click on pay tab if you want to pay it immediately.

This small patch could make much better user experience.
Comment 1 Josef Moravec 2015-09-25 12:04:16 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-09-27 18:33:03 UTC
Created attachment 42896 [details] [review]
[Signed-off] Bug 14898: After adding manual invoice redirect to pay tab instead of account

Test plan:
1) Create manual invoice for any patron,note you are redirected to Account tab
2) Apply the patch
3) Create manual invoice for any patron, you should be redirected to Pay tab

Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Jonathan Druart 2015-09-28 11:40:15 UTC
I always thought it was a feature :)
I agree with you, but maybe some others won't.

Katrin, Kyle and Nicole, Can I get your point of view here please?
Comment 4 Katrin Fischer 2015-09-28 11:45:15 UTC
My feeling right now is that after adding a manual fine/fee we should remain on the tab for adding fines/fees... that seems most consistent to me - but I might be wrong :)
Comment 5 Nicole C. Engard 2015-09-28 11:56:28 UTC
I'm actually okay either way. I know there are time when I don't want to leave the tab and others when I do - so it's really no big deal to me either way.
Comment 6 Marc Véron 2015-09-28 13:49:56 UTC
My two cents - since it is about fines and payment :-)

Have two buttons for saving.

- "Save" would behave as before. 
- Additional button "Save and pay" would redirect to payment.

That would enhance user experience as proposed by Josef without changing behaviour users are used to.

Marc
Comment 7 Jonathan Druart 2015-10-01 13:54:26 UTC
Marc's suggestion sounds like a good compromise :)
Josef, do you agree?
Comment 8 Josef Moravec 2015-10-01 18:00:56 UTC
I absolutely agree. I'll try to go this way.
Comment 9 Julian Maurice 2020-02-05 14:10:22 UTC
Created attachment 98488 [details] [review]
Bug 14898: Add button at manual invoice to redirect to pay tab

Test plan:
1. Create manual invoice for any patron and click on "Save", you should
   be redirected to Account tab
2. Create manual invoice for any patron and click on "Save and pay", you
   should be redirected to Account tab
Comment 10 David Nind 2020-02-08 06:37:37 UTC
Created attachment 98610 [details] [review]
Bug 14898: Add button at manual invoice to redirect to pay tab

Test plan:
1. Create a manual invoice for any patron and click on "Save", you should
   be redirected to the Transactions tab (current behavour)
2. Create a manual invoice for any patron and click on "Save and pay", you
   should be redirected to Make a payment tab

Signed-off-by: David Nind <david@davidnind.com>
Comment 11 Katrin Fischer 2020-02-20 06:59:06 UTC
Created attachment 99295 [details] [review]
Bug 14898: Add button at manual invoice to redirect to pay tab

Test plan:
1. Create manual invoice for any patron and click on "Save", you should
   be redirected to Account tab
2. Create manual invoice for any patron and click on "Save and pay", you
   should be redirected to Account tab

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Martin Renvoize 2020-02-20 09:04:07 UTC
Wow.. such a simple and nice little addition.. such a shame it took 5 years to work through the process :(

Thanks for persevering
Comment 13 Martin Renvoize 2020-02-20 09:11:10 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 14 Joy Nelson 2020-03-13 00:47:52 UTC
enhancement not backported to 19.11.x